Spip 1.6 pour Hebergement-Discount

L’installation de SPIP 1.6 pose problème chez Hebergement-discount du fait de l’utilisation du Safe Mode pratiqué par cet hébergeur.
Quelques modifications de script et l’installation manuelle de Spip et de la base sont nécessaires.

Voici la procédure :

-  Ne pas utiliser spip_loader.php3, ne fonctionne pas sur HD ;

-  Transmettre par FTP les fichiers de SPIP 1.6, changer le CHMOD des dossiers ecrire, IMG, CACHE et ecrire/data en 777 ;

-  Ajouter les fichiers inc_connect.php3 (à modifier, voir ci-dessous), mes_options.php3 et inc_version.php3 du fichier zip ci-dessous dans le dossier ecrire ;

-  Modifier le fichier inc_connect.php3 en renseignant le login de la base, son mot de passe et le nom de la base (ligne 6) ;

-  Installation manuelle de la base MySQL : se connecter sur http://phpmyadmin.hebergement-discount.com, cliquer sur le nom de sa base MySQL sous Accueil, exécuter le fichier texte spip.sql du fichier zip ci-dessous.

Normalement, vous devriez pouvoir vous connecter à votre site par le répertoire ecrire sous le login admin et le mot de passe spipadmin (à changer aussitôt bien sûr)...

Il semble que beaucoup d’utilisateurs de cette méthode n’aient pas réussi à la faire fonctionner. L’auteur de cet article a déménagé son site sur ouvaton.coop où Spip fonctionne parfaitement, il n’est donc plus en mesure d’apporter des précisions sur hebergement discount.

updated on 9 February 2004

Discussion

10 discussions

  • Bonjour,
    Apparemment les experts de SPIP se sont occupés du probleme: J’ai upgradé de la 1.7.1r à la 1.8.1 sans aucun probleme. J’ai juste modifié les droits des répertoires CHMOD-777 (tous droits d’accès) sur les 4 répertoires (ecrire, ecrire/data, IMG et CACHE) au cas ou.
    Ca marche comme un charme...
    A+
    Le televore (.com)
    www.televore.com

    Reply to this message

  • il me semblait que chez Hebergement-discount l’utilisation du Safe Mode n’était justement pas assez sévère ??

    Reply to this message

  • 1
    le televore(.com)

    J’ai eu pas mal de problemes en essayant d’upgrader chez hebergement-discount de la 1.4.2 de SPIP vers la 1.7 . La premiere tentative je n’avais rien (page vide dans www.televore.com/ecrire sasn message d’erreur). Je suis revenu en 1.4.2 avec succes. En essayant d’upgrader en 1.6, puis en 1.7 sans succes (erreur Fatal error : Call to undefined function : spip_fetch_array() ), je me suis apercu que la base avait été upgradée malgré tout en revenant à la 1.6 ou la 1.4.2 ... ouch ! Finalement, j’ai réussi à passer avec succes à la 1.7 en utilisant les fichiers pour la 1.6 trouvés ici (en les modifiant correctement). J’ai respiré quand j’ai pu me connecter... et tout marche maintenant !
    pas évident d’upgrader !
    Bon courage!

    • le televore(.com)

      je précise, c’est la version monolingue de la 1.7 que j’ai installée.

    Reply to this message

    • Une précision : je viens de me rendre compte que si je n’ai pas pu télécharger le ZIP ci-dessus (cause de tous mes tracas) c’est à cause de GetRight (utilitaire de téléchargement). Uzine bloque les chargements fait avec GetRight. Donc mon conseil : retirez le pendant le téléchargement, vous gagnerez une journée de mises au point diverses (notamment le fameux ./ de file_exist()

      Ha oui au fait le lien ci-dessus n’estpas fait; le voilà
      http://forum.les-basics-nfrance.com/read.php?f=1&i=27516&t=27503

      ++

      PS : Grrr... C à n’y rien comprendre, ajd le téléchargement ac GetRight marche :’(

    Reply to this message

  • stéphane

    Voici la “méthode” que j’ai utilisé... l’installation classique ne fonctionnant pas.

    -  >télécharger un spip “tout neuf” dans votre répertoire
    -  >accordez les droits d’écriture aux dossiers habituels (ecrire, ecrire/data, IMG, CACHE)
    -  >mettre à jour la base de donnée en passant directement par phpmyadmin de l’hébergeur (faites un import de votre fichier .sql)
    -  >créer le fichier inc-connect.php3 dans écrire avec vos paramètres.

    ps1 : si vous transportez un dossier IMG déjà “rempli”, n’oubliez pas d’accorder des droits d’écriture en 777 aux sous-dossiers

    ps2 : soyez sur d’utiliser la même version de Spip 1.7

    et ça devrait rouler...

    Reply to this message

  • Frédéric Miquel

    Salut et merci de votre aide.
    Je pense avoir respécté la procédure d’installation préconisée pour la 1.6 sur hebergement discount.

    Voici les messages d’erreur quand j’essaye d’accéder aux pages

    Warning : fopen(“CACHE/skel_login-dist.php3”, “wb”) - Permission denied in /home/ju31858/inc-calcul-squel.php3 on line 2303

    Warning : fwrite(): supplied argument is not a valid File-Handle resource in /home/ju31858/inc-calcul-squel.php3 on line 2304

    Warning : fclose(): supplied argument is not a valid File-Handle resource in /home/ju31858/inc-calcul-squel.php3 on line 2305

    Warning : fopen(“CACHE/2/spip_login.ec6a47_tmp”, “wb”) - Permission denied in /home/ju31858/inc-cache.php3 on line 79

    Qu’est ce que je peux faire ?

    Merci

    Reply to this message

  • Sébastien

    La version 1.7 tient compte de herbergement discount ? ou faut-il procéder de la même manière que dans cette article ? (dans ce cas c’est cool de modifier le titre de l’article pour le préciser ;-)

    Reply to this message

  • ensemblevide

    et est-ce que c’est possible de faire cette manip avec la version 1.7 ?

    Reply to this message

  • 3

    Bonjour,
    J’obtiens le message suivant lorsque j’accède au répertoire /ecrire/ pour paramétrer mon site SPIP (installé à la racine du serveur) : “Attention : un problème technique (serveur MySQL) empêche l’accès à cette partie du site. Merci de votre compréhension. 1045 Access denied for user: ’root@judith.nfrance.com’ (Using password: NO)”
    Comment faire ? Merci de votre aide.
    Cordialement

    • bonjour,
      j’ ai vu votre post sur spip/hebergement-discount.

      j’ ai le meme probleme ici..

      Avez vous reussi à le resoudre?

      loic

    • Maxence Delannoy

      Même problème. Apparement
      la fonction php
      file_exists en fonctionne
      pas correctement.
      Hébergement-discount,
      c’est vraiment la galère...

    • Maxence Delannoy

      Ouf ça fonctionne enfin !
      Apparement Spip ne parvient
      pas à créer des fichiers
      sur le serveur, ce qui
      fait que la création du
      fichier inc_connect.php3
      échoue. J’ai essayé de
      transférer ce dernier par
      FTP, ce qui m’a permis de
      démarrer l’installation.
      Le problème, c’est que Spip
      ne parvient pas à lire le
      fichier par la suite.
      J’ai donc entré directement
      les paramètres de connexion
      dans le fichier
      inc_db_mysql.php3
      Après, c’est la modification
      du mot de passe qui posait
      problème (création du
      fichier .htpassword). J’ai
      du transférer un fichier
      .htpassword vierge pour que
      ça fonctionne et utiliser
      phpMyAdmin pour modifier
      mon login et mon mot de passe.
      En bref, bon courage...

      P.S. : Le formulaire
      de ce forum est pourri.

    Reply to this message

  • 1
    Sébastien

    Merci de cet article ! Cela fonctionne très bien (en première installation). MERCI !

    Le fait de modifier le CHMOD ne change rien à la protection du site ?

    • Francois

      Pour le CHMOD, l’installation “normale” de Spip le fait automatiquement, alors je ne pense pas qu’il y ait plus de problème.

    Reply to this message

Comment on this article

Who are you?
  • [Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document

Follow the comments: RSS 2.0 | Atom